Create New Element Localizations

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V80 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp"
  }
}

Close
POST /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/localizations

Path parameters

  • profile_id string Required

    id of the profile

  • page_id number Required

    id of the page

  • element_id number Required

    id of the element

application/json

Body

  • label string Required
  • language_code string Required

Responses

  • 201 application/json

    Created

    Hide response attribute Show response attribute object
    • language_code string Required

      the created language code

POST /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/localizations
curl \
 --request POST 'https://api.iformbuilder.com/exzact/api/v80/%5Bservername%5D/profiles/self/pages/{page_id}/elements/{element_id}/localizations' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"label":"nombre del Inspector","language_code":"es"}'
Request examples
{
  "label": "nombre del Inspector",
  "language_code": "es"
}
Response examples (201)
[
  {
    "language_code": "zh-hans"
  },
  {
    "language_code": "zh-hant"
  }
]